API
Core Resources

Reward creditsNew

A Reward credit is store credit issued to a Customer as a reward. Each reward credit keeps track of its initial value, the balance still available and an optional expiration date. A reward credit is a Credit account of type reward and shares its id with that credit account.

This resource is new in the V2 reference. It also works when you send X-Recharge-Version: 2021-11.

#The reward credit object

Attributes

  • idinteger
    Unique numeric identifier for the Reward credit.
  • Unique numeric identifier for the Customer the Reward credit belongs to.
  • namestring
    The name of the Reward credit.
  • The value of the Reward credit at the time of creation.
  • The amount of the Reward credit that is still available to spend.
  • The currency code of the Reward credit. This is the default currency of the store.
  • expires_atdatetime · nullable
    The date and time when the Reward credit expires. null when it does not expire.
  • created_atdatetime
    The date and time when the Reward credit was created.
  • updated_atdatetime
    The date and time when the Reward credit was last updated.
The reward credit object
{
  "reward_credit": {
    "id": 30514,
    "customer_id": 71542,
    "available_balance": "7.50",
    "created_at": "2026-10-01T13:15:42+00:00",
    "currency_code": "USD",
    "expires_at": "2027-10-01T23:59:59+00:00",
    "initial_value": "10.00",
    "name": "Loyalty reward",
    "updated_at": "2026-10-19T09:03:11+00:00"
  }
}

#List reward credits

GET/reward_credits
Returns a list of the store's Reward credits. Results are sorted by id in descending order unless sort_by is passed.
Scoperead_reward_credits

Query parameters

  • Return the reward credits of the given Customer.
  • Return the reward credits of any of the given customers. If passing multiple values, must be comma separated.
  • idsstring
    Filter reward credits by id. If passing multiple values, must be comma separated.
  • Return the reward credits that expire on or after the given date.
  • Return the reward credits that expire on or before the given date.
  • sort_bystring
    Sort the results by the given field and direction.
    Possible values
    id-ascid-descexpires_at-ascexpires_at-desc
  • limitinteger
    The amount of results. Default is 50 while the maximum is 250.
  • pageinteger
    The page of results to show. Default is 1. Use cursor instead where possible.
  • cursorstring
    The next_cursor or previous_cursor value returned by a previous list request. When a cursor is passed, only limit can be passed with it.
GET/reward_credits
curl 'https://api.rechargeapps.com/reward_credits' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "reward_credits": [
    {
      "id": 30514,
      "customer_id": 71542,
      "available_balance": "7.50",
      "created_at": "2026-10-01T13:15:42+00:00",
      "currency_code": "USD",
      "expires_at": "2027-10-01T23:59:59+00:00",
      "initial_value": "10.00",
      "name": "Loyalty reward",
      "updated_at": "2026-10-19T09:03:11+00:00"
    }
  ],
  "next_cursor": null,
  "previous_cursor": null
}

#Retrieve a reward credit

GET/reward_credits/{id}
Returns a single Reward credit by its id.
Scoperead_reward_credits
GET/reward_credits/{id}
curl 'https://api.rechargeapps.com/reward_credits/129593' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "reward_credit": {
    "id": 30514,
    "customer_id": 71542,
    "available_balance": "7.50",
    "created_at": "2026-10-01T13:15:42+00:00",
    "currency_code": "USD",
    "expires_at": "2027-10-01T23:59:59+00:00",
    "initial_value": "10.00",
    "name": "Loyalty reward",
    "updated_at": "2026-10-19T09:03:11+00:00"
  }
}

#Create a reward credit

POST/reward_credits
Issues a Reward credit of the given value to a Customer. The credit can then be used by the customer to pay for their charges.
Scopewrite_reward_credits

Body parameters

  • customer_idintegerRequired
    Unique numeric identifier for the Customer to issue the Reward credit to.
  • initial_valuestringRequired
    The value of the Reward credit, in the default currency of the store. Must be passed as a string, between 0 and 999999.99.
  • namestring
    The name of the Reward credit. Maximum 255 characters. Defaults to Reward Credit.
  • expires_atdatetime
    The date and time when the Reward credit expires. When omitted, the expiration date is derived from the store's reward credit expiration settings, or the credit never expires if the store has none.
POST/reward_credits
curl -X POST 'https://api.rechargeapps.com/reward_credits' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "reward_credit": {
    "id": 30514,
    "customer_id": 71542,
    "available_balance": "10.00",
    "created_at": "2026-10-01T13:15:42+00:00",
    "currency_code": "USD",
    "expires_at": "2027-10-01T23:59:59+00:00",
    "initial_value": "10.00",
    "name": "Loyalty reward",
    "updated_at": "2026-10-01T13:15:42+00:00"
  }
}